Bug 185627 - segfault on reading unknown file
segfault on reading unknown file
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: ImageMagick (Show other bugs)
4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Norm Murray
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-16 09:49 EST by Simon Goodall
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-30 23:57:53 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Simon Goodall 2006-03-16 09:49:52 EST
Description of problem:
ImageMagick will segfault in the PingImage function if it does not know how to
read the file. A fix is in ImageMagick from version 6.2.3. Please update the
version of ImageMagick in fc4.


Version-Release number of selected component (if applicable):
6.2.2

How reproducible:
Always

Steps to Reproduce:
1. Use PingImage function to read a file that ImageMagick does not understand
2.
3.
  
Actual results:
segfault

Expected results:
not segfault


Additional info:
see http://studio.imagemagick.org/pipermail/magick-developers/2005-May/002215.html
Comment 1 Simon Goodall 2006-03-26 12:17:10 EST
I see there is ImageMagick 6.2.5 in FC5. what about an fc4 update?

Note You need to log in before you can comment on or make changes to this bug.